/*
 * Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 *
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein is strictly forbidden, unless permitted by WSO2 in accordance with
 * the WSO2 Commercial License available at http://wso2.com/licenses. For specific
 * language governing the permissions and limitations under this license,
 * please see the license as well as any agreement you’ve entered into with
 * WSO2 governing the purchase of this software and any associated services.
 */
package org.sample.identity.extensions;

import com.wso2.openbanking.accelerator.identity.auth.extensions.request.validator.OBRequestObjectValidator;
import com.wso2.openbanking.accelerator.identity.auth.extensions.request.validator.models.OBRequestObject;
import com.wso2.openbanking.accelerator.identity.auth.extensions.request.validator.models.ValidationResponse;

import java.util.Map;

/*
 * This is an example class for extending the request object validations
 * */
public class ExtendedRequestObjectValidator extends OBRequestObjectValidator {

    public ValidationResponse validateOBConstraints(OBRequestObject obRequestObject, Map<String, Object> dataMap) {

        //this is a sample validation that can be done.
        String aud = obRequestObject.getClaimsSet().getClaim("aud").toString();

        if (!aud.equals("sample value")) {
            return new ValidationResponse(false, "Incorrect aud value");
        }
        return new ValidationResponse(true);
    }

}
